#include "ConnectionService.hpp"
#include <iostream>
#include "../requests/ConnectionRequest.hpp"
#include "../responses/ConnectionResponse.hpp"

using namespace mole;
using namespace serv;

ConnectionService::ConnectionService(mole::ctx::Request * r):Service(r){
    setResponse(new ConnectionResponse());
}

ConnectionService::ConnectionService(){}

ConnectionService::~ConnectionService(){}

Service *
ConnectionService::newInvocableService(mole::ctx::Request * r){
    return new ConnectionService(r);
}
